Description

There are numerous things that don't seem to work with the new Open Street Map importing feature in 2.0.The CRS of the canvas or

layer has to be in lat/long for it to work. Also, the osm extension of the output file is not set automatically, you have to set it manually.

Then, when you import topology from the osm file into a spatialite file, it creates a file sucessfully. However, when trying to add it with the

'Add Spatialite layer', it shows up with no geometry and it can't be viewed.

History

#1 - 2013-09-25 08:57 AM - Jürgen Fischer

- Priority changed from High to Normal

#2 - 2013-09-25 10:10 AM - Borys Jurgiel

Please note you don't "import topology from the osm file into a spatialite file" in one step. First you import the topology from osm into sqlite, and then run the

third menu entry in order to create spatialite tables from the topology (within the sqlite file).

If you just skipped this point and the procedure is working for you, probably this bug report should be replaced with two feature requests: about the file

extension and CRS mismatch.

#3 - 2013-09-25 10:54 AM - Guillaume Larocque

Ok, I managed to complete the three steps and the chosen layer does appear on the canvas. This process is much less straight forward than that provided

by the OSM plugin in QGIS 1.8. You simply had to click on import and the downloaded layers were added automatically to the canvas. Any reason why

those three steps are not integrated into one in 2.0?

#4 - 2013-09-26 05:11 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to invalid

#5 - 2013-09-27 09:26 AM - Paolo Cavallini

- Resolution deleted (invalid)

- Tracker changed from Bug report to Feature request

- Subject changed from Open Street Map import broken to Please make Open Street Map import easier

Current method is far too cumbersome, and I do not see a reason why the steps could not be automated.
